PATCH
v1.0.0stable

Update source app

Update source app. Manage only sources owned by this token on the current tenant.

PATCH/api/appstore/manage/sources/:source_id/apps/:app_id
অনুমোদন:Bearer Token
সীমা:30/minute

অনুরোধ করা পরামিতি

সকল পরামিতি অনুসন্ধান বা মৃতদেহের মাধ্যমে অতিক্রম করা যাবে

পরামিতিধরনআবশ্যকবিবরণ
source_id
stringআবশ্যক
Source ID owned by this user on the current site
উদাহরণ: 12345678
app_id
integerআবশ্যক
App ID within this source
উদাহরণ: 1
name
stringবিকল্প
App name, up to 100 characters
উদাহরণ: 演示应用
download_url
stringবিকল্প
HTTP(S) URL for downloading the app
উদাহরণ: https://example.com/app.ipa
version
stringবিকল্প
App version
উদাহরণ: 1.0
type
stringবিকল্প
App type
version_desc
stringবিকল্প
Release notes
icon_url
stringবিকল্প
HTTP(S) URL of the app icon
tint_color
stringবিকল্প
Theme color
size
stringবিকল্প
File size
is_lanzou
integerবিকল্প
LanZou Cloud link: 0/1
is_locked
integerবিকল্প
Requires a license key to unlock: 0/1
ios_version_limit
stringবিকল্প
iOS version restriction
weigh
integerবিকল্প
Sort weight
status
integerবিকল্প
Visibility: 0=hidden, 1=visible; publish drafts before editing

প্রতিক্রিয়া

পরামিতিধরনআবশ্যকবিবরণ
code
integerআবশ্যক
1 indicates success; otherwise a token, validation or source error code
উদাহরণ: 1
msg
stringআবশ্যক
Localized result message
উদাহরণ: 获取成功
time
integerআবশ্যক
Unix timestamp in seconds
data
objectআবশ্যক
Allowlisted fields visible to the source owner
রেসপন্স উদাহরণ
{
"code":1,
"msg":"Operation successful",
"time":1780000000,
"data":
{
"id":1,
"source_id":"12345678",
"name":"演示应用",
"version":"1.0",
"download_url":"https://example.com/app.ipa",
"status":1,
"publish_status":"published"
}
}

ত্রুটিপূর্ণ কোড

ত্রুটিপূর্ণ কোড4 নির্ধারিত
10
Invalid token
Token is invalid or rotated; HTTP 401
11
Token expired
Token has expired; HTTP 401
40001
Source not found
Source is missing or not owned by this user/tenant; HTTP 404

বহিরাগত ভাষা

X-Lang হেডারের সাথে API প্রতিক্রিয়া গ্রহণ করুন। টি কোড স্বয়ংক্রিয়ভাবে আপনার বর্তমান অবস্থানের জন্য ব্যবহার করা হচ্ছে।

প্রস্তাবিত হেডার
X-Lang: bn
সমর্থিত ভাষা
zh, en, zh-TW, vi, ar, es, ru

সমর্থিত ভাষাও সমর্থিত নয়; X-Lang এর অগ্রাধিকার গ্রহণ করা হয়। ওয়েব-সাইট ফাইলটির সাহায্যে সমর্থিত হয়।

কোড উদাহরণ

curl -X PATCH "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources/12345678/apps/1" \
  -H "X-Lang: bn" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "演示应用",
    "download_url": "https://example.com/app.ipa",
    "version": "1.0",
    "type": "example_type",
    "version_desc": "example_version_desc",
    "icon_url": "example_icon_url",
    "tint_color": "example_tint_color",
    "size": "example_size",
    "is_lanzou": 1,
    "is_locked": 1,
    "ios_version_limit": "example_ios_version_limit",
    "weigh": 1,
    "status": 1
  }'

নোট

  • 必须使用 HTTPS 传输。接口不接受 uid、tenant_id、is_official、到期时间等管理员字段。
  • 响应不包含拥有者身份、内部草稿或敏感密钥;创建源和应用受订阅、试用及数量限制。

কনসোলের মধ্যে এটি চেষ্টা করুন

বাগ পূরণ করুন এবং এটি পরীক্ষা করুন। এই সাইটের API- এ কেবল অনুরোধ করা হয়; URL- টি লক করা হয়েছে এবং আপনার বর্তমান লগ- ইন কুকি অন্তর্ভুক্ত করা যাবে না।

PATCHhttps://testypro.iwai.cc/api/appstore/manage/sources/12345678/apps/1এই সাইটের লক করা হয়েছে
stringআবশ্যক

Source ID owned by this user on the current site

integerআবশ্যক

App ID within this source

string

App name, up to 100 characters

string

HTTP(S) URL for downloading the app

string

App version

string

App type

string

Release notes

string

HTTP(S) URL of the app icon

string

Theme color

string

File size

integer

LanZou Cloud link: 0/1

integer

Requires a license key to unlock: 0/1

string

iOS version restriction

integer

Sort weight

integer

Visibility: 0=hidden, 1=visible; publish drafts before editing